<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- xslt for Devoto-Oli 2010 version -->
	<!-- using us-ascii encoding because special characters like &#49; would be replaced during transformation when using UTF-8 -->
	<xsl:output method="html" encoding="us-ascii" doctype-public="-//W3C//DTDXHTML 1.0 Transitional//EN" doctype-system="https://www.w3.org/TR/html4/strict.dtd" />
	
    <!-- string parameters -->	
    <xsl:param name="view.details.headimage"/>		
	<xsl:param name="view.details.base"/>
	<xsl:param name="view.details.id"/>
	<xsl:param name="view.details.section"/>
	<xsl:param name="tooltip-xml"/>
			
	<xsl:template match="ENTRY">
<xsl:if test="string(@Section) = 'Latin'">
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%; border:0">
	<tr>
		<td class="Fascia" align="center">il LATINO LE MONNIER</td>
	</tr>
			
				<xsl:if test="number(@TabNumber) > 0">
						<tr><td class="Tasti"><xsl:apply-templates select="TABS" /><br/><br/><hr class="Linea"></hr></td></tr>
				</xsl:if>
				<tr><td valign="top" height="100%">
					<div class="Entry">
					<xsl:apply-templates select="HEAD" />
					<xsl:apply-templates select="TITLE" />
					<xsl:apply-templates select="BODY" />
					<xsl:apply-templates select="NOTE" />
					</div>
				</td></tr>
</table>
</xsl:if>
<xsl:if test="string(@Section) = 'Italian'">
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%; border:0">
	<tr>
		<td class="Fascia" align="center">il LATINO LE MONNIER</td>
	</tr>
		<tr><td valign="top" height="100%">
		<div class="Entry">
			<xsl:apply-templates select="HEAD" />
			<xsl:apply-templates select="BODY" />
		</div>
		</td></tr>
	<tr>
		<td align="center" valign="bottom" class="copy">Copyright © 2010 by Mondadori Education S.p.A.</td>
	</tr>
</table>
</xsl:if>
<xsl:if test="string(@Section) = 'NoDisplay'">
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%; border:0">
	<tr>
		<td class="Fascia" align="center">il LATINO LE MONNIER</td>
	</tr>
		<xsl:if test="string-length(@TabNumber) &gt; 0">
			<tr><td class="Tasti"><xsl:apply-templates select="TABS" /><br/><br/><hr class="Linea"></hr></td></tr>
		</xsl:if>
		<xsl:if test="number(@ConjNumber) > 0">
			<tr><td class="FormeConj"><xsl:apply-templates select="STEADY" /><hr class="Linea"></hr></td></tr>
		</xsl:if>
			<tr><td valign="top" height="100%">
					<div class="Entry">
					<xsl:apply-templates select="HEAD" />
					<xsl:apply-templates select="TITLE" />
					<xsl:apply-templates select="BODYCONJ" />
					<xsl:apply-templates select="BODYDEC" />
					</div>
				</td></tr>
	<tr>
		<td align="center" valign="bottom" class="copy">Copyright © 2010 by Mondadori Education S.p.A.</td>
	</tr>
</table>
</xsl:if>
</xsl:template>

	<xsl:template match="TABS">
			<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="HEAD">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="BODY">
		<xsl:apply-templates />	
	</xsl:template>

	<xsl:template match="BODYCONJ">
		<xsl:apply-templates />	
	</xsl:template>
	
	<xsl:template match="BODYDEC">
	<table border="0" cellpadding="0" cellspacing="0" width="95%" style="margin-left:10px">
		<xsl:apply-templates />	
	</table>
	</xsl:template>

	<xsl:template match="STEADY">
		<xsl:apply-templates />	
	</xsl:template>

	<xsl:template match="NOTE">
		<div class="Note">
			<xsl:apply-templates />
		</div>
	</xsl:template>

	<!-- paragraph tags  -->
	<xsl:template match="TITLE">
		<P class="Title">
			<xsl:apply-templates />:
		</P>
	</xsl:template>

	<xsl:template match="Translation">
		<P class="Trans">
			<span class="Num"><xsl:value-of select="@Number" /></span>
			<xsl:apply-templates />
		</P>
	</xsl:template>
	<xsl:template match="TransIT">
		<P class="Trans">
			<span class="Num"><xsl:value-of select="@Number" /></span>
			<xsl:apply-templates />
		</P>
	</xsl:template>
	<xsl:template match="Forms">
		<P class="Trans">
			<span class="Num"><xsl:value-of select="@Number" /></span>
			<xsl:apply-templates />
		</P>
	</xsl:template>
	<xsl:template match="Xreference">
		<P class="Def">
			<xsl:apply-templates />
		</P>
	</xsl:template>

	<xsl:template match="Tit">
		<P class="Tit">
			<xsl:apply-templates />
		</P>
	</xsl:template>
	<xsl:template match="Raw">
		<P class="Raw">
			<xsl:apply-templates />
		</P>
	</xsl:template>
	<xsl:template match="RawDec">
		<tr class="TRaw">
			<xsl:apply-templates />
		</tr>
	</xsl:template>
	<xsl:template match="t">
		<td>
			<xsl:apply-templates />
		</td>
	</xsl:template>
	<xsl:template match="t1">
		<td width="50">
			<xsl:apply-templates />
		</td>
	</xsl:template>
	<xsl:template match="t2">
		<td><br/>
			<xsl:apply-templates />
		</td>
	</xsl:template>
	<xsl:template match="t3">
		<td style="border-bottom: solid 1px gray">
			<xsl:apply-templates />
		</td>
	</xsl:template>

	<!-- Character replacments -->
	<xsl:template match="HwordServ">
		<span class="HwordServ"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="HwordN">
		<span class="HwordN"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Var">
		<span class="HwordN"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="HwordC">
		<span class="HwordC"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="HwHid">
		<!-- Ignore -->
	</xsl:template>
	<xsl:template match="Author">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Author.xml"))/tooltips/Author[@short=current()]/@long'/></xsl:variable>
		<span class="Author" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Work">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Work.xml"))/tooltips/Work[@short=current()]/@long'/></xsl:variable>
		<span class="Work" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="SubWork">
		<span class="SubWork"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Attn">
		<span class="Attn"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Def">
		<span class="Def"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Infl">
		<i><xsl:apply-templates /></i>
	</xsl:template>
	<xsl:template match="Loc">
		<span class="Loc"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="HwGramm">
		<span class="Gramm"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="GrammServ">
		<span class="GrammServ"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Gramm">
		<span class="Gramm"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="GrammReg">
		<span class="Gramm"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="GrammSP">
		<span class="GrammSP"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Etym">
		<span class="Etym"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Omo">
		<sup>
		<span class="Omo"><xsl:apply-templates /></span>
		</sup>
	</xsl:template>
	<xsl:template match="OmoServ">
		<sup>
		<xsl:apply-templates />
		</sup>
	</xsl:template>
	<xsl:template match="Quotext">
		<span class="Quot"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Trad">
		<span class="Trad"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="TradLat">
		<span class="TradLat"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="SubTit">
		<br/><xsl:apply-templates />
	</xsl:template>
	<xsl:template match="Testo">
		<P class="Testo"><xsl:apply-templates /></P>
	</xsl:template>
	<xsl:template match="ConjTab">
		<xsl:if test="string-length(@Link) &gt; 0">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<P class="ConjTab">&#9655; <a href="javascript:detail('{$link}')"><xsl:apply-templates /></a></P>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Xref">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="Xref" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="XrefFinto"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="XrefI">
		<xsl:if test="string-length(@Link) &gt; 0">
			<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
			<a class="XrefI" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
			<span class="XrefIFinto"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>
	<xsl:template match="Tab">
		<xsl:if test="string-length(@Link) &gt; 0">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<a class="Tab" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
	</xsl:template>
	<xsl:template match="s">
		<span class="s"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="sb">
		<span class="sb"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="dum">
		<!-- Ignore -->
	</xsl:template>
	<xsl:template match="HL">
		<xsl:variable name="hlidx1"><xsl:value-of select="attribute::index"/></xsl:variable>
		<xsl:variable name="nodeName" select="name()"></xsl:variable>
		<xsl:variable name="hlidx2"><xsl:value-of select="count(preceding::node()[name() = $nodeName]) + 1"/></xsl:variable>
		<a name="hl_{$hlidx1}_{$hlidx2}_{$view.details.id}"></a>
		<span class="HL"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="TT">
		<span class="tt"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Symbol">
		<span class="symb"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="acc">
		<span class="acc"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="b">
		<b><xsl:apply-templates /></b>
	</xsl:template>	
	<xsl:template match="bNota">
		<b><xsl:apply-templates /></b>
	</xsl:template>	
	<xsl:template match="bVar">
		<b><xsl:apply-templates /></b>
	</xsl:template>	
	<xsl:template match="i">
		<i><xsl:apply-templates /></i>
	</xsl:template>	
	<xsl:template match="iLat">
		<i><xsl:apply-templates /></i>
	</xsl:template>	
	<xsl:template match="iForm">
		<i><xsl:apply-templates /></i>
	</xsl:template>	
	<xsl:template match="iSigle">
		<i><xsl:apply-templates /></i>
	</xsl:template>	
	<xsl:template match="nix">
		<xsl:apply-templates />
	</xsl:template>	
	<xsl:template match="nfl">
		<xsl:apply-templates />
	</xsl:template>	
	<xsl:template match="o">
		<span class="o"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="u">
		<span class="u"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="sup">
		<sup><xsl:apply-templates /></sup>
	</xsl:template>	
	<xsl:template match="sub">
		<sub><xsl:apply-templates /></sub>
	</xsl:template>	
	<xsl:template match="over">
		<span class="over"><xsl:apply-templates /></span>
	</xsl:template>	

</xsl:stylesheet>
